Ga naar inhoud

Mozilla verbiedt bepaalde Firefox-extensies en verplicht gebruik https


Aanbevolen berichten

Alle Firefox-extensies die met remote services verbinding maken moeten vanaf 1 december dit jaar verplicht https gebruiken, zo heeft Mozilla aangekondigd. In het verleden was https alleen vereist bij het versturen van gevoelige informatie. Daarnaast worden extensies op addons.mozilla.org verboden die als enig doel hebben het promoten, installeren, laden of lanceren van een andere website, applicatie of add-on. Dat heeft de Firefox-ontwikkelaar aangekondigd.

Volgens Mozilla moeten de nieuwe regels voor extensies de privacy en security van gebruikers verbeteren. Zo mogen extensies straks alleen nog browsegegevens verzamelen, zoals bezochte websites, als dit onderdeel van de primaire functie van de extensie is. Het heimelijk verzamelen van gebruikersgegevens blijft verboden. Verder moeten add-ons die technische data, gebruikersdata of persoonlijke data verzamelen bij de eerste keer dat de extensie wordt gestart hier toestemming om vragen.

Het verzamelen van zoekopdrachten en bepaalde andere gegevens is niet toegestaan. Ook zijn er beperkingen gesteld aan de manier waarop extensie-ontwikkelaars aan hun creatie kunnen verdienen. Zo moet het injecteren van advertenties duidelijk worden vermeld en is het injecteren van cryptominers verboden. De nieuwe regels gaan zoals gezegd 1 december in.

 

bron: https://www.security.nl

Link naar reactie
Delen op andere sites


 Delen

×
×
  • Nieuwe aanmaken...